#include <bits/stdc++.h>


using namespace std;

//int H[1000];

long long hTmp;
main(){
    long long brojStalaktita, pericinaVisina;
    long long indeksStalaktita=-1;
    scanf("%lld %lld", &brojStalaktita,&pericinaVisina);
    //unos
    for(int i=0;i<brojStalaktita;i++){
        scanf("%lld",&hTmp);
        if(pericinaVisina>=hTmp&&indeksStalaktita==-1){
            indeksStalaktita=i;

        }

    }
    printf("%d",indeksStalaktita);


}